#pragma once

#define M_PI 3.14159265358979323846
#define DEG_TO_RAD (M_PI/180.0f)
#define RAD_TO_DEG (180.0f/M_PI)

struct vec2 { float x, y; };

const bool get_line_intersection(vec2 p0, vec2 p1, vec2 p2, vec2 p3, vec2 *i);
const float distance(vec2 p1, vec2 p2);
const void normalize(vec2 *v);
const float dot(vec2 v1, vec2 v2);
float is_enemy_in_fov(double Ax, double Ay, double orientation_deg, double Bx, double By);